#include <iostream>

using namespace std;

int main(){
ios_base::sync_with_stdio(false);
cin.tie(nullptr);
int n,l;
cin >> n >> l;
int h[n];
bool p=false;
int r;
for(int i=0;i<n;i++){
    cin >> h[i];
    if(l>=h[i] && !p){
        r=i+1;
        p=true;
    }
}
if(p) cout << r;
else cout << -1;
cout << "\n";
return 0;
}